- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations/patch#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations/patch#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations/patch#try-it)

Updates the fields of a federation.

### HTTP request

`PATCH https://metastore.googleapis.com/v1alpha/{federation.name}`

### Path parameters

| Parameters ||
|---|---|
| `federation.name` | `string` Immutable. The relative resource name of the federation, of the form: projects/{projectNumber}/locations/{locationId}/federations/{federationId}\`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. A field mask used to specify the fields to be overwritten in the metastore federation resource by the update. Fields specified in the `updateMask` are relative to the resource (not to the full request). A field is overwritten if it is in the mask. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `requestId` | `string` Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request. For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments. The request ID must be a valid [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.federations#Federation`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).